<?php

namespace system\library\feedback\gupshop;


class MessageGupshopApi
{

    private $channel = 'whatsapp';
    private $source;
    private $destination;
    private $apiName;
    private $message;

    /**
     * @return mixed
     */
    public function getChannel()
    {
        return $this->channel;
    }


    /**
     * @return mixed
     */
    public function getSource()
    {
        return $this->source;
    }

    /**
     * @param mixed $source
     */
    public function setSource($source)
    {
        $this->source = preg_replace('/([^0-9])/i', '', $source);
    }

    /**
     * @return mixed
     */
    public function getDestination()
    {
        return $this->destination;
    }

    /**
     * @param mixed $destination
     */
    public function setDestination($destination)
    {
        $this->destination = '55'.preg_replace('/([^0-9])/i', '', $destination);
    }

    /**
     * @return mixed
     */
    public function getApiName()
    {
        return $this->apiName;
    }

    /**
     * @param mixed $apiName
     */
    public function setApiName($apiName)
    {
        $this->apiName = $apiName;
    }

    /**
     * @return mixed
     */
    public function getMessage()
    {
        return $this->message;
    }

    /**
     * @param mixed $message
     */
    public function setMessage($message)
    {
        $this->message = $message;
    }


}


class MessageGupshop
{
    public $type;

    /**
     * @return mixed
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param mixed $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

}



class MessageGupshopText extends MessageGupshop
{
    public $isHSM;
    public $text;

    /**
     * @return mixed
     */
    public function getisHSM()
    {
        return $this->isHSM;
    }

    /**
     * @param mixed $isHSM
     */
    public function setIsHSM($isHSM)
    {
        $this->isHSM = $isHSM;
    }

    /**
     * @return mixed
     */
    public function getText()
    {
        return $this->text;
    }

    /**
     * @param mixed $text
     */
    public function setText($text)
    {
        $this->text = $text;
    }

}